Đến nội dung


Hình ảnh
* * * - - 2 Bình chọn

Viết Lisp theo yêu cầu


  • Chủ đề bị khóa Chủ đề bị khóa
2780 replies to this topic

#681 duongsatdn

duongsatdn

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 1657 Bài viết
Điểm đánh giá: 761 (tốt)

Đã gửi 12 May 2008 - 01:52 PM

Chắc là xuất ra file *.txt chăng?
  • 0

#682 namng

namng

    biết zoom

  • Members
  • Pip
  • 13 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 12 May 2008 - 02:08 PM

Bác Hoành giúp em cái lisp này nha:
1. Chon 1 pline
2. Tính khoảng cách giữa các đỉnh của Pline vừa chọn
3. Ghi khoảng cách giữa các đỉnh đó vào giữa các đỉnh của Pline vừa chọn.
  • 0

#683 dotracchien

dotracchien

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 12 May 2008 - 06:42 PM

mình đang cần vễ hình có sử dụng đường cong Epicycloide va hypocycloide. Yêu cầu của hình vẽ minh đã post theo link http://www.cadviet.c...ypoCycloide.doc
Mong các bạn giúp đỡ.
Cám ơn các bạn nhiều
  • 0

#684 nh0ckut3_t0cv4mgh03

nh0ckut3_t0cv4mgh03

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 12 May 2008 - 09:10 PM

Chào các bác em là lính mới mong các đại ca sửa giúp em lỗi này : Em sửa lệnh Align như sau ở cad 20004 và dùng không có vấn đề gì nhưng ở cad14 thì máy báo lỗi như sau:
"Command: 1
Select objects: Other corner: 1 found

Select objects: ALIGN Unknown command "ALIGN". Press F1 for help.

Command: <Selection set: 1>"
(Defun c:1 (/ ss1)(setq ss1 (ssget))(command "ALIGN" ss1 "" pause "" pause pause "" pause "" ""))
(Defun c:2 (/ ss1)(setq ss1 (ssget))(command "ALIGN" ss1 "" pause "" pause ""))
(Defun c:3 (/ ss1)(setq ss1 (ssget))(command "ALIGN" ss1 "" pause "" pause pause "" pause "" "Y" ""))
Các bác Nguyễn Hoành giúp em với !
  • 0

#685 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 12 May 2008 - 09:40 PM

Chào các bác em là lính mới mong các đại ca sửa giúp em lỗi này : Em sửa lệnh Align như sau ở cad 20004 và dùng không có vấn đề gì nhưng ở cad14 thì máy báo lỗi như sau:
"Command: 1
Select objects: Other corner: 1 found

Select objects: ALIGN Unknown command "ALIGN". Press F1 for help.

Command: "
(Defun c:1 (/ ss1)(setq ss1 (ssget))(command "ALIGN" ss1 "" pause "" pause pause "" pause "" ""))
(Defun c:2 (/ ss1)(setq ss1 (ssget))(command "ALIGN" ss1 "" pause "" pause ""))
(Defun c:3 (/ ss1)(setq ss1 (ssget))(command "ALIGN" ss1 "" pause "" pause pause "" pause "" "Y" ""))
Các bác Nguyễn Hoành giúp em với !

Đoạn mã trên thì với ACAD nào cũng gặp vấn đề hết.

Để không gặp vấn đề, bạn phải dùng lệnh Align tại dòng lệnh 1 lần để AutoCAD load DLL cần thiết lên bộ nhớ, sau đó mới dùng được. Còn không, bạn thêm dòng lệnh sau vào trước lệnh command: (arxload "geom3d.arx")
  • 0

#686 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 12 May 2008 - 09:44 PM

mình đang cần vễ hình có sử dụng đường cong Epicycloide va hypocycloide. Yêu cầu của hình vẽ minh đã post theo link http://www.cadviet.com/upfiles/EpyCycloide...ypoCycloide.doc
Mong các bạn giúp đỡ.
Cám ơn các bạn nhiều

Bạn muốn kết quả là đường LWPOLINE hay Spline?
  • 0

#687 namng

namng

    biết zoom

  • Members
  • Pip
  • 13 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 13 May 2008 - 08:16 AM

Bác Hoành ơi giúp em cái lisp này nha:
1. Chon 1 pline
2. Tính khoảng cách giữa các đỉnh của Pline vừa chọn
3. Ghi khoảng cách giữa các đỉnh đó vào giữa các đỉnh của Pline vừa chọn.
Cám ơn bác trước
  • 0

#688 duongsatdn

duongsatdn

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 1657 Bài viết
Điểm đánh giá: 761 (tốt)

Đã gửi 13 May 2008 - 09:15 AM

Bác Hoành ơi giúp em cái lisp này nha:
...

Lời kêu cứu khẩn thiết :cheers:
Bác Hoành ra tay đi bác!
  • 0

#689 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 13 May 2008 - 10:18 AM

Lời kêu cứu khẩn thiết :cheers:
Bác Hoành ra tay đi bác!

Hãy chị khó đọc bài viết của tôi trước khi nhờ tôi giúp tiếp. Đây là bài post thứ 2 của namng về cùng 1 nội dung, mà namng không chịu đọc bài trả lời của tôi với bài post trước đó.

Tôi sẽ không giúp bất cứ ai chỉ chăm chăm nhờ tôi, nhưng không cần quan tâm đến câu trả lời của tôi. Vì như vậy là họ thiếu tôn trọng tôi.
  • 1

#690 namng

namng

    biết zoom

  • Members
  • Pip
  • 13 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 13 May 2008 - 11:08 AM

Cái Lisp trước chỉ là vẽ đường dóng đấy chứ bác Hoành.
Thú thật em định viết lisp mà em yêu cầu từ cái lisp trước đó, nhưng em viết mãi mà không được.
Bác cố gắng giúp em với nha.
  • 0

#691 duongsatdn

duongsatdn

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 1657 Bài viết
Điểm đánh giá: 761 (tốt)

Đã gửi 13 May 2008 - 11:17 AM

Cái Lisp trước chỉ là vẽ đường dóng đấy chứ bác Hoành.
Thú thật em định viết lisp mà em yêu cầu từ cái lisp trước đó, nhưng em viết mãi mà không được.
Bác cố gắng giúp em với nha.

Bạn hỏi cùng một vấn đề ở bài số 679; 682; 687.
Ở bài 679 bác Hoành đã hỏi bạn "Tính xong rồi thì làm gì bạn?" mà không thấy bạn trả lời trả vốn gì cả(?!)
  • 0

#692 namng

namng

    biết zoom

  • Members
  • Pip
  • 13 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 13 May 2008 - 12:11 PM

Em đã viết lại cái đầu bài rùi mà.
Tính xong khoảng cách rùi ghi giá trị khoảng cách đó vào đểm giữa của đỉnh pline mà.
Bác Hoàng giúp em cái nha. Thank bác
  • 0

#693 dotracchien

dotracchien

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 13 May 2008 - 04:35 PM

Bạn muốn kết quả là đường LWPOLINE hay Spline?

Trích dẫn(dotracchien @ May 12 2008, 06:42 PM) *
mình đang cần vễ hình có sử dụng đường cong Epicycloide va hypocycloide. Yêu cầu của hình vẽ minh đã post theo link http://www.cadviet.c...ypoCycloide.doc
Mong các bạn giúp đỡ.
Cám ơn các bạn nhiều

Bạn muốn kết quả là đường LWPOLINE hay Spline?
Được dạng Spilne thì tốt quá. Xin giúp đỡ.Mình đang cần quá mà bây giờ mới làm quen với lisp nên khó quá
  • 0

#694 bomhatnhan2

bomhatnhan2

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 13 May 2008 - 04:57 PM

các bạn ơi? ai co lisp cắt dim cho mình với.à cho mình hỏi lisp cắt dim dùng cho cad2007 có dùng được cho cad 2006 không
các bác giúp tui nhá.
  • 0

#695 nh0ckut3_t0cv4mgh03

nh0ckut3_t0cv4mgh03

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 13 May 2008 - 09:05 PM

Đoạn mã trên thì với ACAD nào cũng gặp vấn đề hết.

Để không gặp vấn đề, bạn phải dùng lệnh Align tại dòng lệnh 1 lần để AutoCAD load DLL cần thiết lên bộ nhớ, sau đó mới dùng được. Còn không, bạn thêm dòng lệnh sau vào trước lệnh command: (arxload "geom3d.arx")


Cảm ơn Bác nhiều, nhưng bác có thể hướng dẫn cụ thể hơn cho em được không ? Em đã làm như bác nói nhưng vãn không được và báo như sau :

Unable to execute "geom3d.arx".

Error: ARXLOAD failed.*Cancel*
Em muốn sửa lênh này bởi vì em hay phải copy đối tượng từ bản vẽ này sang bản vẽ kia.
Đoạn mã này :(Defun c:3 (/ ss1)(setq ss1 (ssget))(command "ALIGN" ss1 "" pause "" pause pause "" pause "" "Y" ""))
em vẫn dùng được các đời cad ngoại trừ cadR14 (công ty em chỉ dùng cad14 thui).
Bác giúp em nhé.
  • 0

#696 dotracchien

dotracchien

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 13 May 2008 - 11:00 PM

Các bạn cho hỏi khi load 1 file .lsp lên mà CAD thông báo tại dòng nhắc COMMAND la:
error: malformed list on input
Vậy đó là lỗi gì vậy.Mong dc chỉ giáo.
  • 0

#697 namng

namng

    biết zoom

  • Members
  • Pip
  • 13 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 14 May 2008 - 10:24 AM

Bác hoành giúp em cái dc không.
1. Chọn 1 Pline
2. Tính khoảng cách giữa các đỉnh của Pline vừa chọn
3. Ghi khoảng cách giữa các đỉnh đó vào giữa các đỉnh của Pline vừa chọn.
Em đang cần quá mà làm mãi không đc. Bác cố gắng giúp em cái.
  • 0

#698 congdung04

congdung04

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 14 May 2008 - 11:02 AM

bác Hoành ơi, hôm trước em có đọc ở đâu đó người ta viết một lisp để in một lúc nhiều bản vẽ bằng cách tạo một block là cái khung bản vẽ, sau đó copy multy cái block đó đặt vào những bản vẽ cần in, sau đó lệnh in sẽ in ra nhũng phần bản vẽ nằm trong cái block đó. đại ca giúp em nhá
  • 0

#699 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 14 May 2008 - 11:08 AM

Bác hoành giúp em cái dc không.
1. Chọn 1 Pline
2. Tính khoảng cách giữa các đỉnh của Pline vừa chọn
3. Ghi khoảng cách giữa các đỉnh đó vào giữa các đỉnh của Pline vừa chọn.
Em đang cần quá mà làm mãi không đc. Bác cố gắng giúp em cái.


Nghe kiểu nói thì bạn có biết viết lisp. Mình có 2 ý thế này:
-Bạn tự viết 1 lisp đơn giản thôi. chọn hai điểm rồi viết khoảng cách vào điểm giữa hai điểm đó. (cái này dể)
-Bạn muốn ngon như bạn yêu cầu ở trên thì tìm xem cái bác SSG viết về liệt kê tọa độ đỉnh của pl cải tiến 1 chút. Cái đó bác SSG dùng hàm mở rộng tôi không rành.
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#700 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 14 May 2008 - 02:07 PM

bác Hoành ơi, hôm trước em có đọc ở đâu đó người ta viết một lisp để in một lúc nhiều bản vẽ bằng cách tạo một block là cái khung bản vẽ, sau đó copy multy cái block đó đặt vào những bản vẽ cần in, sau đó lệnh in sẽ in ra nhũng phần bản vẽ nằm trong cái block đó. đại ca giúp em nhá

Bạn search chữ MPLOT trên diễn đàn CADViet
  • 0